<!DOCTYPE html>
<html>

<head>
  <title>{{ title }}</title>
  {{!-- responsiveness --}}
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  {{!-- google v1 requires these two meta tag --}}
  <meta name="google-signin-scope" content="profile email" />
  <meta name="google-signin-client_id" content="{{google.google_client_id}}" />

  <style>
    @font-face {
      font-family: open_sans_semi;
      src: url(https://www.pizzahut.com/c/assets/font/opensans-semibold-webfont.woff);
      font-display: swap;
    }

    @font-face {
      font-family: open_sans;
      src: url(https://www.pizzahut.com/c/assets/font/opensans-regular-webfont.woff);
      font-display: swap;
    }

    @font-face {
      font-family: open_sans_bold;
      src: url(https://www.pizzahut.com/c/assets/font/opensans-bold-webfont.woff);
      font-display: swap;
    }

    .ph-us-web {
      font-family: open_sans_semi, sans-serif;
    }

    input {
      display: block;
      width: 98%;
      height: 34px;
      font-size: 14px;
      line-height: 1.42857143;
      padding-left: 2%;
      color: #555;
      background-color: #fff;
      background-image: none;
      border: 1px solid #ccc;
      border-radius: 8px;
      -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
      box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
      -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
      -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
      transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    }

    label {
      font-weight: 600;
      font-size: 1rem;
      color: #131313;
      display: inline-block;
      max-width: 100%;
      margin-bottom: 5px;
      letter-spacing: 0.02em;
    }

    strong {
      font-weight: 700;
      font-size: 1.5rem;
      color: #131313;
      letter-spacing: 0.025em;
    }

    .checkbox {
      width: 1.3rem;
      height: 1.3rem;
      display: inline;
      margin: 0 5px 3px 0;
    }

    .primary-button {
      background-color: #E21216;
      border-color: #E21216;
      text-transform: uppercase;
      font-size: 1.1rem;
      font-weight: 600;
      line-height: 2.4rem;
      text-align: center;
      border-radius: 0.8rem;
      letter-spacing: 0.1rem;
      display: block;
      width: 100%;
      padding: 3px 16px;
      color: #fff;
      vertical-align: middle;
      cursor: pointer;
      border: 1px solid transparent;
      margin-top: 2rem;
      font-family: open_sans_semi;
    }

    .secondary-button {
      background-color: #fff;
      border-color: #E21216;
      text-transform: uppercase;
      font-size: 1.1rem;
      font-weight: 600;
      line-height: 2.4rem;
      text-align: center;
      border-radius: 0.8rem;
      letter-spacing: 0.1rem;
      display: block;
      width: 100%;
      padding: 3px 16px;
      color: #E21216;
      vertical-align: middle;
      cursor: pointer;
      border: 1px solid transparent;
      margin-top: 2rem;
    }

    .fb-login-button {
      width: 100%;
    }

    .form-group {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 0;
      margin-bottom: 15px;
      margin-right: auto;
      margin-left: auto;
      fontsize: 14px;
    }

    a {
      color: #337ab7;
      text-decoration: none;
      background-color: transparent;
    }

    .social-container {
      margin-bottom: 2rem;
      width: 100%;
      text-align: center;
    }

    .or-divider {
      margin: 1.6rem 0;
      width: 100%;
      text-align: center;
    }

    .text-center {
      text-align: center;
    }

    .link-label {
      font-size: 14px;
      font-weight: 600;
      line-height: 19px;
      color: #266DCC;
      cursor: pointer;
    }

    .form-label-blur-text {
      color: #717170;
      font-weight: 400;
      font-size: 0.8rem;
    }

    .btn-facebook {
      color: #1877F2;
      background-color: #fff;
      border-color: #1877F2;
      text-transform: uppercase;
      font-size: 1rem;
      font-weight: 600;
      border-radius: 0.8rem;
      line-height: 2.4rem;
      letter-spacing: 0.1rem;
      display: flex;
      justify-content: center;
      align-items: center;
      width: 100%;
      padding: 2px;
    }

    .register-card-border {
      box-shadow: 0 3px 8px 0 rgba(0, 0, 0, 0.3);
      border-radius: 8px;
    }

    @font-face {
      font-family: PizzaHutFont;
      src: url('https://www.pizzahut.com/c/assets/font/PizzaHutFont.woff');
    }

    .register-card-header {
      font-family: PizzaHutFont;
      border-bottom: solid 1px #CFCECC;
      padding: 13px 24px;
      font-weight: 400;
      font-size: 28px;
      margin-bottom: 0;
    }

    .register-card-input {
      margin-bottom: 12px;
      width: 48%;
    }

    .input-container {
      width: 48%
    }

    .register-card-subheader {
      color: #2E2E2D;
      font-size: 20px;
      font-style: normal;
      font-family: open_sans_semi, sans-serif;
      font-weight: 700;
      line-height: 24px;
      font-stretch: normal;
      letter-spacing: normal;
    }

    .register-promotion-terms {
      font-family: open_sans, sans-serif;
      padding-top: 10px;
      padding-bottom: 10px;
      color: #717170;
      font-weight: 100;
      font-size: 12px;
    }

    .no-wrap {
      white-space: nowrap;
    }

    .register-promotion {
      display: flex;
      align-items: center;
    }

    .register-promotion-text {
      font-family: open_sans, sans-serif;
      margin-bottom: 18px;
    }

    .register-field-labels {
      font-size: 14px;
      font-style: normal;
      line-height: 19px;
      font-stretch: normal;
      letter-spacing: normal;
    }

    .register-terms-text {
      font-family: open_sans, sans-serif;
    }

    .register-terms-link {
      font-family: open_sans_semi, sans-serif;
    }

    .register-cta-button {
      font-family: opens_sans_semi, sans-serif;
      font-size: 16px;
      margin-bottom: 0;
    }

    .switch {
      position: relative;
      display: inline-block;
      width: 60px;
      height: 34px;
    }

    .switch input {
      opacity: 0;
      width: 0;
      height: 0;
    }

    .slider {
      position: absolute;
      cursor: pointer;
      left: 0;
      height: 20px;
      width: 45px;
      background-color: #ccc;
      -webkit-transition: .4s;
      transition: .4s;
    }

    .slider:before {
      position: absolute;
      content: "";
      height: 26px;
      width: 26px;
      background-color: white;
      -webkit-transition: .4s;
      transition: .4s;
      border: solid;
      bottom: -5px;
    }

    input:checked+.slider {
      background-color: #E21216;
    }

    input:checked+.slider:before {
      -webkit-transform: translateX(26px);
      -ms-transform: translateX(26px);
      transform: translateX(17px);
      border: solid;
      border-color: #E21216;
    }

    .slider.round {
      border-radius: 34px;
    }

    .slider.round:before {
      border-radius: 50%;
    }
  </style>
  <script>
    {{{ errors }}}
    function addNewLogLine(contents) {
      const logMessage = JSON.stringify(contents)
      const newLine = `${new Date()} | ${logMessage}`
      document.querySelector('#errorlogger').innerHTML = `${document.querySelector('#errorlogger').innerHTML}${newLine}\n\n`
    }
    window.onload = () => {
      if (ERRORS && ERRORS.length) addNewLogLine(ERRORS)
    }
    window.onerror = function (msg, url, lineNo, columnNo, error) {
      addNewLogLine({ msg, url, lineNo, columnNo, error })
      return false;
    }
    window.onunhandledrejection = (event) => {
      addNewLogLine(event)
    }
  </script>
  {{!-- Google reCAPTCHA API Snippet --}}
  <script src="https://www.google.com/recaptcha/api.js" async defer></script>
</head>

<body class="ph-us-web">
  {{{ body }}}
  <script>
    async function cancelAuthAttempt() {
      try {
        const response = await fetch("{{ base_path }}/authenticate/reject", {
          method: "POST",
          headers: {
            "Content-Type": "application/json",
          },
          body: JSON.stringify({
            reason: 'user_canceled', // example cancelation reason
            _csrf: "{{{ csrf_token }}}",
            pageName: "{{{ title }}}"
          })
        })
        if (response.status === 302) {
          const body = await response.json()
          window.location = body.redirect_to
        } else {
          // TODO: brand to implement error handling
        }
      } catch (e) {
        // TODO: brand to implement error handling
        console.log(e)
      }
    }
    window.addEventListener("message", function (message) {
      if (message.data && message.data.type === "submit" && message.target.origin) {
        const registerButton = document.querySelector("#register-button")
        registerButton.click();
      }
    });
    if (window.parent &&
        !window.location.pathname.includes('forgot_password') &&
        !window.location.pathname.includes('reset_password')) {
      window.parent.postMessage({ type: "idp-ui-initialized" }, "*")
    }
  </script>
</body>

</html>